declare const useAddImage: (options: {
    size?: "small" | "middle" | "large";
    inputProps?: Record<string, any>;
    handleUpdateImgList: (list: {
        uid: number | string;
        dataUrl: string;
    }[]) => void;
    updateUidCount: () => number | string;
}) => {
    isFromUrl: boolean;
    ImageURLInput: import("react/jsx-runtime").JSX.Element | null;
    dropDownOpen: boolean;
    UploadImageButton: import("react/jsx-runtime").JSX.Element;
};
export default useAddImage;
